#
# spec file for package elementary-theme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name elementary
Name:           elementary-theme
Version:        5.1.1
Release:        bp155.2.9
Summary:        The elementary GTK Theme
License:        GPL-3.0
Group:          System/GUI/GNOME
Url:            https://launchpad.net/egtk
Source:         https://github.com/elementary/stylesheet/archive/%{version}.tar.gz#/stylesheet-%{version}.tar.gz
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The official elementary GTK theme designed to be smooth, attractive, fast, 
and usable.

%package -n     metatheme-elementary-common
Summary:        The elementary GTK Theme -- Common Files
Group:          System/GUI/GNOME
Suggests:       gtk2-metatheme-elementary
Suggests:       gtk3-metatheme-elementary

%description -n metatheme-elementary-common
The official elementary GTK theme designed to be smooth, attractive, fast, 
and usable.

This package provides the files common to the GTK+ themes and the window
manager themes as well as background images.

%package -n     gtk2-metatheme-elementary
Summary:        The elementary GTK Theme -- GTK+ 2 Support
Group:          System/GUI/GNOME
Requires:       gtk2-engine-murrine
Requires:       metatheme-elementary-common = %{version}
Supplements:    packageand(metatheme-elementary-common:gtk2)

%description -n gtk2-metatheme-elementary
The official elementary GTK theme designed to be smooth, attractive, fast, 
and usable.

This package provides the GTK+ 2 support of Elementary

%package -n     gtk3-metatheme-elementary
Summary:        The elementary GTK Theme -- GTK+ 3 Support
Group:          System/GUI/GNOME
Requires:       metatheme-elementary-common = %{version}
Supplements:    packageand(metatheme-elementary-common:gtk3)

%description -n gtk3-metatheme-elementary
The official elementary GTK theme designed to be smooth, attractive, fast, 
and usable.

This package provides the GTK+ 3 support of Elementary

%package -n     plank-theme-elementary
Summary:        The elementary Plank Theme
Group:          System/GUI/GNOME
Requires:       metatheme-elementary-common = %{version}
Requires:       plank

%description -n plank-theme-elementary
The official elementary plank theme.

%prep
%setup -q -n stylesheet-%{version}

%build
# There is nothing to build.

%install
install -dm 0755 %{buildroot}%{_datadir}/themes/%{_name}
for _source in gtk-2.0 gtk-3.0 gtk-3.22 plank index.theme; do
  cp -a "$_source" "%{buildroot}%{_datadir}/themes/%{_name}"
done

%fdupes -s %{buildroot}%{_datadir}/themes/%{_name}

%files -n metatheme-elementary-common
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING
%dir %{_datadir}/themes/%{_name}/
%{_datadir}/themes/%{_name}/index.theme

%files -n gtk2-metatheme-elementary
%defattr(-,root,root)
%{_datadir}/themes/%{_name}/gtk-2.0

%files -n gtk3-metatheme-elementary
%defattr(-,root,root)
%{_datadir}/themes/%{_name}/gtk-3.0
%{_datadir}/themes/%{_name}/gtk-3.22

%files -n plank-theme-elementary
%defattr(-,root,root)
%dir %{_datadir}/themes/%{_name}/plank
%{_datadir}/themes/%{_name}/plank/dock.theme

%changelog
* Tue Dec 26 2017 avvissu@yandex.by
- Drop gtk3-engine-unico (nothing provides gtk3-engine-unico)
* Wed Oct 18 2017 avvissu@yandex.by
- Update to 5.1.1:
  * Brighter titlebar (#216)
  * Flatter chrome (#198)
  * Replace colors in gtk.css with palette colors (#197)
  * reduce the height of the panel (#208)
  * Update FSF address (#207)
  * fix text color and shadow in titlebar back buttons (#202)
  * Fix size of circular image buttons (#194)
  * Update README.md (#193)
  * Fix text color for disabled combobox (#179)
  * Fix weird background in wireless dialog box (#185)
  * Make insensitive text color pass WCAG AA (#187)
  * Remove misc 3.18 selectors (#178)
  * Make dark selector for popup more specific (#183)
  * Remove redundant dark titlebar style (#180)
  * Brighten dark colors and increase text contrast (#181)
  * Sidebar stack switcher (#177)
  * Clean up some dark stylesheet selectors (#175)
  * fix expander selectors and animate (#170)
  * Fix some selectors in apps.css (#176)
  * Add a style for flat titlebars (#174)
* Wed Aug 16 2017 avvissu@yandex.by
- Compatibility with gtk >= 3.22
- Change the sourceurl to git
* Mon Aug 14 2017 avvissu@yandex.by
- Update to 5.1.0:
  * Add a style for .keycap (#171)
  * Remove duplicate selector (#169)
  * combine check, radio, and switch selectors (#162)
  * increase sidebar text contrast (#167)
  * Removes some more unused selectors targetting 3.18 (#161)
  * Add attention class (#163)
  * fix a couple of image button selectors (#164)
  * make menu and popup class selectors more specific (#165)
  * update switch selectors (#159)
  * Remove deprecated properties (#160)
  * don't set radius in inline-toolbar (#157)
  * fix infobar selectors (#158)
  * Don't use :not for menuitem (#156)
  * Rewrite menuitems and modelbuttons (#153)
  * Resolve major issues in stack sidebar (#149)
  * select indicator, not the whole mark container (#155)
  * Stop scale slider from extending past the scale (#154)
  * Remove old dialog selectors (#150)
  * make modelbutton look like menuitem (#151)
  * Don't apply button styles to menuitem buttons (#152)
  * Fix rounded windows (#148)
  * fix scale slider in seekbar (#147)
  * refine inline-toolbar selectors, fix bugs (#146)
  * Fix the size of primary dialog label (#145)
  * Clean up scales and fix marks (#143)
  * Replace GtkImage with image (#142)
  * rewrite colorchooser (#137)
  * clean up progressbars (#140)
  * clean up combobox selectors (#138)
  * Make pane sep style selector more specific (#141)
* Mon May  1 2017 avvissu@yandex.by
- Update to 5.0.4
* Sun Jan 22 2017 avvissu@yandex.by
- Update to 5.0.3
- Drop elementary-theme-5.0.1_gtk-3.20.patch
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 5.0.1
- Update theme to gtk >= 3.20 (elementary-theme-5.0.1_gtk-3.20.patch)
- Fix: Plank returned to the default theme
- Spec file cleanup
* Sat Feb 27 2016 mailaender@opensuse.org
- add the plank theme
* Sat Feb 27 2016 mailaender@opensuse.org
- update to version 4.0.6
* Mon May 18 2015 mailaender@opensuse.org
- adhere to https://en.opensuse.org/SourceUrls
* Wed May 13 2015 and.november@opensuse.org
- update to version 4.0.2
